Package com.smartgwt.client.types

# Enum FireStyle

java.lang.Object
java.lang.Enum<FireStyle>
com.smartgwt.client.types.FireStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FireStyle>`, `Constable`

public enum FireStyle extends Enum<FireStyle> implements ValueEnum
Flags to set automatic removal of events from the page event registry.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIRE_ONCE`
  Call the registered handler the first time the event occurs, then unregister the handler as though `Page.clearEvent()` had been called
  `NULL`
  Call the registered handler any time the event occurs

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FireStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FireStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NULL

    public static final FireStyle NULL
    Call the registered handler any time the event occurs

  - ### FIRE_ONCE

    public static final FireStyle FIRE_ONCE
    Call the registered handler the first time the event occurs, then unregister the handler as though `Page.clearEvent()` had been called

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "once".

- ## Method Details

  - ### values

    public static FireStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FireStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`